### File

`packages/components/eui-user-profile/user-profile-card/user-profile-card.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-user-profile-card`
imports | `EUI_BUTTON` `EUI_ICON_BUTTON` `EUI_ICON` `EUI_AVATAR`
templateUrl | `./user-profile-card.component.html`

### Index

###### Properties
avatarInitials fullName isOnline userState
###### Methods
onClose onShowInfoClick
###### Inputs
avatarUrl impersonateLabel isShowAvatarInitials reverseNameOrder showDetailsLabel
###### Outputs
closeProfileMenu showProfileInfo
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

avatarUrl
Type : `string`

impersonateLabel
Type : `string`
Default value : `'acting as'`

isShowAvatarInitials
Type : `boolean`
Default value : `true`

reverseNameOrder
Type : `boolean`
Default value : `false`
If true, the name will be displayed in reverse order (first name, first)

showDetailsLabel
Type : `string`
Default value : `'Show profile details'`

### Outputs

closeProfileMenu
Type : `EventEmitter<void>`

showProfileInfo
Type : `EventEmitter<void>`

### HostBindings

class
Type : `string`

### Methods

onClose
`onClose()`
Returns : `void`

onShowInfoClick
`onShowInfoClick()`
Returns : `void`

### Properties

avatarInitials
Type : `Signal<string>`

fullName
Type : `Signal<literal type>`
Holds the full name of the user and the impersonated user

isOnline
This property is not used anymore
Default value : `true`
If true, the user is online

userState
Type : `Signal<UserProfile>`
Default value : `inject(UserService).getSignal()`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""